# == Schema Information
#
# Table name: collection_items
#
#  id                  :integer          not null, primary key
#  collectionable_id   :integer
#  collectionable_type :string
#  collection_id       :integer
#  order               :integer
#  created_at          :datetime         not null
#  updated_at          :datetime         not null
#

class CollectionItem < ActiveRecord::Base
  belongs_to :collection

  belongs_to :collectionable, polymorphic: true

  validates_presence_of :collection, :collectionable
end
