##
# This service represents the Gitlab Bug Reporter
#  The client can report a bug, that will be created an issue for PortalMEC project.
class GitlabBugreporterService
  PORTALMEC_PROJECT_ID = 633

  def initialize(gitlab_client)
    @gitlab = gitlab_client
  end

  ##
  # create an issue on gitlab for reported bug
  # returns boolean
  def report(bug)
    @gitlab.create_issue PORTALMEC_PROJECT_ID, bug.title, description: bug.description
    true
  end

end